clan::RasterizerStateDescription Class Reference - ClanLib SDK
Description: clan::RasterizerStateDescription Class Reference

Public Member Functions | List of all members
clan::RasterizerStateDescription Class Reference
clanDisplay Display

Rasterizer state description. More...

`#include <rasterizer_state_description.h>`

## Public Member Functions
| RasterizerStateDescription ()
RasterizerStateDescription | clone () const
void | enable_antialiased (bool value)
| Enables/disables anti-aliasing. (clanGL only).
void | enable_line_antialiasing (bool enabled)
| Setting to true enables line antialiasing.
void | enable_offset_fill (bool value)
| Enables/disables polygon offsetting.
void | enable_offset_line (bool value)
| Enables/disables line offsetting.
void | enable_offset_point (bool value)
| Enables/disables point offsetting.
void | enable_point_size (bool enable)
| Enables if points sizes is set by the vertex shader. (clanGL only).
void | enable_scissor (bool enabled)
| Enables/disables if clipping rects are used.
bool | get_antialiased () const
bool | get_culled () const
bool | get_enable_line_antialiasing () const
bool | get_enable_scissor () const
CullMode | get_face_cull_mode () const
FillMode | get_face_fill_mode () const
FaceSide | get_front_face () const
bool | get_offset_fill () const
bool | get_offset_line () const
bool | get_offset_point () const
float | get_point_fade_treshold_size () const
float | get_point_size () const
PointSpriteOrigin | get_point_sprite_origin () const
void | get_polygon_offset (float &out_factor, float &out_units) const
bool | is_point_size () const
bool | operator< (const RasterizerStateDescription &other) const
bool | operator== (const RasterizerStateDescription &other) const
void | set_culled (bool value)
| Enables/disables polygon cull clipping.
void | set_face_cull_mode (CullMode value)
| Sets the polygon cull clipping mode.
void | set_face_fill_mode (FillMode value)
| Sets the filling mode for polygons.
void | set_front_face (FaceSide value)
| Sets which side is the front side of a face.
void | set_point_fade_treshold_size (float)
| Alpha fade point once minimum size treshold reached. Requires multisampling to be enabled. (clanGL only).
void | set_point_size (float)
| The default value is 1.0 (clanGL only).
void | set_point_sprite_origin (PointSpriteOrigin origin)
| Sets the origin of texture point sprites. (clanGL only).
void | set_polygon_offset (float factor, float units)
| Sets the offset factor.

## Detailed Description

Rasterizer state description.

## Constructor & Destructor Documentation

## ◆ RasterizerStateDescription()

clan::RasterizerStateDescription::RasterizerStateDescription | ( |  | ) |

Referenced by clone(), operator<(), and operator==().

## Member Function Documentation

## ◆ clone()

RasterizerStateDescription clan::RasterizerStateDescription::clone | ( |  | ) | const

References RasterizerStateDescription().

## ◆ enable_antialiased()

void clan::RasterizerStateDescription::enable_antialiased | ( | bool | value | ) |

Enables/disables anti-aliasing. (clanGL only).

## ◆ enable_line_antialiasing()

void clan::RasterizerStateDescription::enable_line_antialiasing | ( | bool | enabled | ) |

Setting to true enables line antialiasing.

Initially antialiasing of lines is disabled.

## ◆ enable_offset_fill()

void clan::RasterizerStateDescription::enable_offset_fill | ( | bool | value | ) |

Enables/disables polygon offsetting.

## ◆ enable_offset_line()

void clan::RasterizerStateDescription::enable_offset_line | ( | bool | value | ) |

Enables/disables line offsetting.

## ◆ enable_offset_point()

void clan::RasterizerStateDescription::enable_offset_point | ( | bool | value | ) |

Enables/disables point offsetting.

## ◆ enable_point_size()

void clan::RasterizerStateDescription::enable_point_size | ( | bool | enable | ) |

Enables if points sizes is set by the vertex shader. (clanGL only).

## ◆ enable_scissor()

void clan::RasterizerStateDescription::enable_scissor | ( | bool | enabled | ) |

Enables/disables if clipping rects are used.

## ◆ get_antialiased()

bool clan::RasterizerStateDescription::get_antialiased | ( |  | ) | const

## ◆ get_culled()

bool clan::RasterizerStateDescription::get_culled | ( |  | ) | const

## ◆ get_enable_line_antialiasing()

bool clan::RasterizerStateDescription::get_enable_line_antialiasing | ( |  | ) | const

## ◆ get_enable_scissor()

bool clan::RasterizerStateDescription::get_enable_scissor | ( |  | ) | const

## ◆ get_face_cull_mode()

CullMode clan::RasterizerStateDescription::get_face_cull_mode | ( |  | ) | const

## ◆ get_face_fill_mode()

FillMode clan::RasterizerStateDescription::get_face_fill_mode | ( |  | ) | const

## ◆ get_front_face()

FaceSide clan::RasterizerStateDescription::get_front_face | ( |  | ) | const

## ◆ get_offset_fill()

bool clan::RasterizerStateDescription::get_offset_fill | ( |  | ) | const

## ◆ get_offset_line()

bool clan::RasterizerStateDescription::get_offset_line | ( |  | ) | const

## ◆ get_offset_point()

bool clan::RasterizerStateDescription::get_offset_point | ( |  | ) | const

## ◆ get_point_fade_treshold_size()

float clan::RasterizerStateDescription::get_point_fade_treshold_size | ( |  | ) | const

## ◆ get_point_size()

float clan::RasterizerStateDescription::get_point_size | ( |  | ) | const

## ◆ get_point_sprite_origin()

PointSpriteOrigin clan::RasterizerStateDescription::get_point_sprite_origin | ( |  | ) | const

## ◆ get_polygon_offset()

void clan::RasterizerStateDescription::get_polygon_offset | ( | float & | out_factor,
|  | float & | out_units ) const

## ◆ is_point_size()

bool clan::RasterizerStateDescription::is_point_size | ( |  | ) | const

## ◆ operator<()

bool clan::RasterizerStateDescription::operator< | ( | const RasterizerStateDescription & | other | ) | const

References RasterizerStateDescription().

## ◆ operator==()

bool clan::RasterizerStateDescription::operator== | ( | const RasterizerStateDescription & | other | ) | const

References RasterizerStateDescription().

## ◆ set_culled()

void clan::RasterizerStateDescription::set_culled | ( | bool | value | ) |

Enables/disables polygon cull clipping.

## ◆ set_face_cull_mode()

void clan::RasterizerStateDescription::set_face_cull_mode | ( | CullMode | value | ) |

Sets the polygon cull clipping mode.

## ◆ set_face_fill_mode()

void clan::RasterizerStateDescription::set_face_fill_mode | ( | FillMode | value | ) |

Sets the filling mode for polygons.

## ◆ set_front_face()

void clan::RasterizerStateDescription::set_front_face | ( | FaceSide | value | ) |

Sets which side is the front side of a face.

## ◆ set_point_fade_treshold_size()

void clan::RasterizerStateDescription::set_point_fade_treshold_size | ( | float |  | ) |

Alpha fade point once minimum size treshold reached. Requires multisampling to be enabled. (clanGL only).

## ◆ set_point_size()

void clan::RasterizerStateDescription::set_point_size | ( | float |  | ) |

The default value is 1.0 (clanGL only).

## ◆ set_point_sprite_origin()

void clan::RasterizerStateDescription::set_point_sprite_origin | ( | PointSpriteOrigin | origin | ) |

Sets the origin of texture point sprites. (clanGL only).

## ◆ set_polygon_offset()

void clan::RasterizerStateDescription::set_polygon_offset | ( | float | factor,
|  | float | units )

Sets the offset factor.

The documentation for this class was generated from the following file:

- rasterizer_state_description.h